> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Eliza from provision

> Creates an Eliza CVM using cached provision data from /cvms/provision/eliza. Requires compose_hash from the provision response.



## OpenAPI

````yaml /openapi.json post /api/v1/cvms/eliza
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/cvms/eliza:
    post:
      tags:
        - CVMs
      summary: Create Eliza from provision
      description: >-
        Creates an Eliza CVM using cached provision data from
        /cvms/provision/eliza. Requires compose_hash from the provision
        response.
      operationId: handle_create_eliza_from_provision_api_v1_cvms_eliza_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTappRequest'
      responses:
        '200':
          description: Created Eliza CVM record
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VM'
        '400':
          description: Invalid payload
        '401':
          description: Authentication required
        '422':
          description: Provision data not found or expired
components:
  schemas:
    CreateTappRequest:
      properties:
        app_id:
          type: string
          title: App Id
          description: The calculated app ID from compose file.
        compose_hash:
          type: string
          title: Compose Hash
          description: The compose hash of the app compose file.
        encrypted_env:
          anyOf:
            - type: string
            - type: 'null'
          title: Encrypted Env
          description: The encrypted environment variables.
        kms_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Kms Id
          description: The KMS ID.
        contract_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Contract Address
          description: The contract address.
        deployer_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployer Address
          description: The deployer address.
        env_keys:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Env Keys
          description: The environment variables to use for the app.
      type: object
      required:
        - app_id
        - compose_hash
      title: CreateTappRequest
    VM:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        teepod_id:
          type: integer
          title: Teepod Id
        teepod:
          anyOf:
            - $ref: '#/components/schemas/TeepodMeta'
            - type: 'null'
        user_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: User Id
        app_id:
          type: string
          title: App Id
        vm_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vm Uuid
        instance_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Id
        app_url:
          anyOf:
            - type: string
            - type: 'null'
          title: App Url
        base_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Image
        vcpu:
          type: integer
          title: Vcpu
        memory:
          type: integer
          title: Memory
        disk_size:
          type: integer
          title: Disk Size
        manifest_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Manifest Version
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        runner:
          anyOf:
            - type: string
            - type: 'null'
          title: Runner
        docker_compose_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Compose File
        features:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Features
        created_at:
          type: string
          format: date-time
          title: Created At
        encrypted_env_pubkey:
          anyOf:
            - type: string
            - type: 'null'
          title: Encrypted Env Pubkey
      type: object
      required:
        - id
        - name
        - status
        - teepod_id
        - app_id
        - vcpu
        - memory
        - disk_size
        - created_at
      title: VM
    TeepodMeta:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: TeepodMeta

````